PPL 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions
Parma_Polyhedra_Library::Grid_Certificate Class Reference
C++ Language Interface

The convergence certificate for the Grid widening operator. More...

`#include <ppl.hh>`

List of all members.

## Classes
struct | Compare
| A total ordering on Grid certificates. More...

## Public Member Functions
| Grid_Certificate ()
| Default constructor.
| Grid_Certificate (const Grid &gr)
| Constructor: computes the certificate for `gr`.
| Grid_Certificate (const Grid_Certificate &y)
| Copy constructor.
| ~Grid_Certificate ()
| Destructor.
int | compare (const Grid_Certificate &y) const
| The comparison function for certificates.
int | compare (const Grid &gr) const
| Compares `*this` with the certificate for grid `gr`.

## Detailed Description

The convergence certificate for the Grid widening operator.

Convergence certificates are used to instantiate the BHZ03 framework so as to define widening operators for the finite powerset domain.

Note:
  Each convergence certificate has to be used together with a compatible widening operator. In particular, Grid_Certificate can certify the Grid widening.

## Member Function Documentation

int Parma_Polyhedra_Library::Grid_Certificate::compare | ( | const Grid_Certificate & | y | ) | const

The comparison function for certificates.

Returns:
  , or depending on whether `*this` is smaller than, equal to, or greater than `y`, respectively.

The documentation for this class was generated from the following file:

- ppl.hh